import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _WKContentRuleList } from "./WKContentRuleList.js";
export declare class _WKContentRuleListStore extends _NSObject {
    static alloc(): _WKContentRuleListStore;
    static new(): _WKContentRuleListStore;
    init(): _WKContentRuleListStore;
    static defaultStore(): _WKContentRuleListStore;
    static storeWithURL$(url: _NSURL): _WKContentRuleListStore;
    compileContentRuleListForIdentifier$encodedContentRuleList$completionHandler$(identifier: _NSString, encodedContentRuleList: _NSString, completionHandler: (arg0: _WKContentRuleList, arg1: _NSError) => void): void;
    lookUpContentRuleListForIdentifier$completionHandler$(identifier: _NSString, completionHandler: (arg0: _WKContentRuleList, arg1: _NSError) => void): void;
    removeContentRuleListForIdentifier$completionHandler$(identifier: _NSString, completionHandler: (arg0: _NSError) => void): void;
    getAvailableContentRuleListIdentifiers$(completionHandler: (arg0: _NSArray) => void): void;
}
